Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TDmlEventClause

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TDmlEventClause

All Implemented Interfaces:
  Visitable

    public class TDmlEventClause

extends TParseTreeNode

The DML_event_clause lets you specify one of three DML statements that can cause the trigger to fire. the database fires the trigger in the existing user transaction.

Constructor Summary
`TDmlEventClause()`

Method Summary
`TObjectNameList` | `getColumnList()` Fire the trigger whenever an UPDATE statement changes a value in one of the columns specified after OF.
`TObjectName` | `getTableName()` table that DML statement act on.
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`boolean` | `isDelete()` If it's true, fire the trigger whenever a DELETE statement removes a row from the table or removes an element from a nested table.
`boolean` | `isInsert()` If it's true, fire the trigger whenever an INSERT statement adds a row to a table or adds an element to a nested table.
`boolean` | `isUpdate()` If it's true, fire the trigger whenever an UPDATE statement changes a value in one of the columns specified after OF.

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TDmlEventClause

    public TDmlEventClause()

Method Detail

### getTableName

    public TObjectName getTableName()

  table that DML statement act on.

  Returns:

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### isDelete

    public boolean isDelete()

  If it's true, fire the trigger whenever a DELETE statement removes a row from the table or removes an element from a nested table.

  Returns:

### isUpdate

    public boolean isUpdate()

  If it's true, fire the trigger whenever an UPDATE statement changes a value in one of the columns specified after OF. If you omit OF, then the database fires the trigger whenever an UPDATE statement changes a value in any column of the table or nested table.

  Returns:

### isInsert

    public boolean isInsert()

  If it's true, fire the trigger whenever an INSERT statement adds a row to a table or adds an element to a nested table.

  Returns:

### getColumnList

    public TObjectNameList getColumnList()

  Fire the trigger whenever an UPDATE statement changes a value in one of the columns specified after OF.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD